On Sep 7, 2011, at 7:54 AM, Nate Coraor wrote:

> This is normal since OS X has binary compatibility with older releases,
> the Python distributors build for an older platform rather than each
> individual platform.
> 
> I see there's now an Intel-only build for 10.6+, I'll work on this ASAP.

if it helps, here are details from 10.7

% /System/Library/Frameworks/Python.framework/Versions/2.7/bin/python -V
Python 2.7.1
% file /System/Library/Frameworks/Python.framework/Versions/2.7/bin/python2.7
/System/Library/Frameworks/Python.framework/Versions/2.7/bin/python2.7: Mach-O 
fat file with 2 architectures
% /System/Library/Frameworks/Python.framework/Versions/2.7/bin/python 
scripts/get_platforms.py
macosx-10.7-intel-ucs2

% /usr/local/bin/python -V
Python 2.7.2
% file /usr/local/Cellar/python/2.7.2/bin/python2.7
/usr/local/Cellar/python/2.7.2/bin/python2.7: Mach-O 64-bit executable
% /usr/local/bin/python scripts/get_platforms.py
macosx-10.4-x86_64-ucs2

% brew --config
HOMEBREW_VERSION: 0.8
HEAD: 8ba7bf8a53dd750943552458daf824e8c424db23
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/Cellar
HOMEBREW_REPOSITORY: /usr/local
HOMEBREW_LIBRARY_PATH: /usr/local/Library/Homebrew
Hardware: dual-core 64-bit penryn
OS X: 10.7.1
Kernel Architecture: x86_64
Ruby: 1.8.7-249
/usr/bin/ruby => 
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Xcode: 4.1
GCC-4.0: N/A 
GCC-4.2: build 5666 
LLVM: build 2335 
MacPorts or Fink? false
X11 installed? true

% uname -rv
11.1.0 Darwin Kernel Version 11.1.0: Tue Jul 26 16:07:11 PDT 2011; 
root:xnu-1699.22.81~1/RELEASE_X86_64
% uname -p
i386
% uname -m
x86_64
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

  http://lists.bx.psu.edu/

Reply via email to